# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXEmptyField

Function

Determines whether a Field contains information.

Syntax
`
#include <dx/dx.h>
`

int DXEmptyField(Field f)

Functional Details

A Field is considered to be empty under any of the following conditions:

- It has no components.
- It has no "positions"
- Its "positions" component does not contain any elements.

Modules may use this call to avoid processing empty Fields so that the absence of required components in an empty Field is not treated as an error.

Return Value

Returns 1 if the Field is empty (see above); otherwise, returns 0.

See Also

`DXExists`

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]